/* gdb demo: 
	step vs. next
	const vs #define
	breakpoint in function
	continue
*/

#include<stdio.h>
#include<stdlib.h>

#define PI 3.14159

double deg2rad(double degrees);
double readDegrees();

int main (int argc, char *argv[]) {
	double degrees, radians;
	degrees = readDegrees();
	radians = deg2rad(degrees);
	printf("Radians: %.2lf\n", radians);
	return 15;
}

double readDegrees() {
	double degrees;
	do {
		printf("Enter degrees (0-360): ");
		scanf("%lf", &degrees);
	} while (degrees <=0 && degrees >= 360);
	return degrees;
}


double deg2rad(double degrees) {
	double radians;
	radians = degrees*PI/180;
	return radians;
}
